AnsweredAssumed Answered

How to change the custom properties for configuration?

Question asked by Sridhar S. on Jun 20, 2017
Latest reply on Jun 21, 2017 by Sridhar S.

Hi,

I have a code to change custom property for Solidworks Part File. The Code is below.

=============================================================

Option Explicit

Dim swApp               As SldWorks.SldWorks

Dim swModel             As SldWorks.ModelDoc2

Sub main()

Set swApp = Application.SldWorks

Set swModel = swApp.ActiveDoc

swModel.CustomInfo("Revision") = "A"

swModel.ForceRebuild

swModel.Save

End Sub

=============================================================

It only changes the revision letter in Custom Property, But it does not change the Revision in "Configuration Specific".

Some parts have 2 configurations and some have more than 10 configuration.

 

How can I change this code to change "Revision" letter for all configuration.

Many Thanks in Advance.

Outcomes